### Method

# Vips Object set

#### Declaration [src]

    int
    vips_object_set (
      VipsObject* object,
      ...
    )

#### Description [src]

Set a list of vips object arguments. For example:

    vips_object_set(operation,
        "input", in,
        "output", &out,
        NULL);

Input arguments are given in-line, output arguments are given as pointers to where the output value should be written.

See also

`vips_object_set_valist()`, `vips_object_set_from_string()`.

This method is not directly available to language bindings.

#### Parameters

`...`

  Type: ``

  `NULL`-terminated list of argument/value pairs.

#### Return value

Type: `int`

0 on success, -1 on error.